<?php
/*
this is demo of the code to export courses list to MyEducationPath.com
*/
error_reporting(E_ALL ^ E_NOTICE);
//error_reporting(E_ALL);
ini_set('display_errors', '1');
//prepare information. There can be extraction from a database
$vendorname="My Company Name";
$vendordescription='Description of my company';
$vendorwebsite='http://mycompanywebsite.com';
$vendorlogo='http://mycompanywebsite.com/logo.lpg';

$courseslist=array(
	array(
		'id'=>'uniquecourseid1',
		'title'=>'Course title 1',
		'link'=>'http://onlinecoursesvendor.com/courses/course1.htm',
		'imagelink'=>'http://onlinecoursesvendor.com/courses/course1/logo.jpg',
		'description'=>'Course description 1',
		'tags'=>array('coursetag1','coursetag2','coursetag3','coursetag4'),
		'startdate'=>'10 Jan 2013',
		'duration'=>'4 weeks',
		'skills'=>array('Skill1','Skill2','Skill3'),
		'instructors'=>array('Course instructor'),
		'price'=>''//empty price means free.
		),
	array(
		'id'=>'uniquecourseid2',
		'title'=>'Course title 2',
		'link'=>'http://onlinecoursesvendor.com/courses/course2.htm',
		'imagelink'=>'http://onlinecoursesvendor.com/courses/course2/logo.jpg',
		'description'=>'Course description 2',
		'tags'=>array(),//example fo a course without tags
		'startdate'=>'any time',
		'duration'=>'8 weeks',
		'skills'=>array('Skill5','Skill6','Skill3'),
		'instructors'=>array('Course instructor1','Course instructor2'),
		'price'=>'$30'
		),
	array(
		'id'=>'uniquecourseid3',
		'title'=>'Course title 3',
		'link'=>'http://onlinecoursesvendor.com/courses/course3.htm',
		'imagelink'=>'',
		'description'=>'Course description 3',
		'tags'=>array('coursetag8','coursetag9','coursetag5','coursetag6'),
		'startdate'=>'any time',
		'duration'=>'5 weeks',
		'skills'=>array()//example of a course without skills defined
		),
	);

//inlude the class to generate XML 
include_once('XmlWriter.class.php');

$xml = new XmlWriterPure();//xml generator object

$xml->push('coursesfeed');//create root node

	$xml->push('vendor');//create vendor description node
	$xml->element('name',$vendorname);
	$xml->element('description',$vendordescription,true);
	$xml->element('website',$vendorwebsite,true);
	$xml->element('logourl',$vendorlogo,true);
	$xml->pop();//close vendor tag
	
	//add courses
	foreach($courseslist as $course){
		$xml->push('course');//create course node
		$xml->element('id',$course['id']);
		$xml->element('title',$course['title']);
		$xml->element('link',$course['link']);
		$xml->element('imagelink',$course['imagelink']);
		$xml->element('description',$course['description'],true);
		
		if(isset($course['tags']) && is_array($course['tags']))
			foreach($course['tags'] as $tag)
				$xml->element('tag',$tag);
			
		$xml->element('startdate',$course['startdate']);
		$xml->element('duration',$course['duration']);
		$xml->element('price',$course['price']);
		
		if(isset($course['skills']) && is_array($course['skills']))
			foreach($course['skills'] as $skill)
				$xml->element('skill',$skill);
		if(isset($course['instructors']) && is_array($course['instructors']))
			foreach($course['instructors'] as $instructor)
				$xml->element('instructor',$instructor);
		$xml->pop();//close course node
	}

$xml->pop();//close root node

print $xml->getXml();//output XML
?>